ContactGroups

List contact groups

Returns the organization's contact groups, newest first, filterable by type and active state.

GET
/v1/contact-groups

Returns the organization's contact groups, newest first, filterable by type and active state. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
type?|array<>
isActive?boolean|null

Response Body

ContactGroupPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contactGroups.list({});
Example Response
{  "items": [    {      "id": "string",      "organizationId": "string",      "name": "string",      "description": "string",      "type": "static",      "criteria": {        "property1": "string",        "property2": "string"      },      "color": "clay",      "icon": "string",      "parentGroupId": "string",      "contactCount": 0,      "lastCalculatedAt": "string",      "isActive": true,      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation